org.gradle.api.file

## Interface RegularFileVar

- All Superinterfaces:
    Property<RegularFile>, PropertyState<RegularFile>, Provider<RegularFile>, RegularFileProperty

  Deprecated.
  Use `RegularFileProperty` instead.

      @Incubating
       @Deprecated
      public interface RegularFileVar
      extends RegularFileProperty, PropertyState<RegularFile>

  Represents some configurable regular file location, whose value is mutable and not necessarily currently known until later.

  Note: This interface is not intended for implementation by build script or plugin authors. An instance of this class can be created using the `ProjectLayout.newFileVar()` method.

  Since:
    4.1

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.file.RegularFileProperty

      `getAsFile, set`

    - ### Methods inherited from interface org.gradle.api.provider.Property

      `set, set`

    - ### Methods inherited from interface org.gradle.api.provider.Provider

      `get, getOrElse, getOrNull, isPresent, map`